import os, sys

from dotenv import load_dotenv
from loguru import logger
from loguru._logger import Logger


if load_dotenv('local.env') is False:
    load_dotenv('.env')


def get_logger(filename: str = "main.log", level: str = "INFO") -> Logger:
    logger.remove()
    logger.add(filename, level=level, rotation="5 MB")

    if os.getenv("debug") == "True":
        logger.add(sys.stderr, level="DEBUG")
    else:
        logger.add(sys.stderr, level=level)

    return logger


class Secrets:
    bot_token: str = os.getenv("bot_token")
    redis_url: str = os.getenv("redis_url")


SECRETS = Secrets()
custom_logger: Logger = get_logger()